//------------------------------------------------------------------
//------------------------------------------------------------------
#property copyright ""
#property link      ""

#property indicator_separate_window
#property indicator_buffers 8

#property indicator_color7  Green
#property indicator_color8  Red

#property indicator_width7  3
#property indicator_width8  3
#property indicator_minimum 0


//
//
//
//
//

extern int    RsiPeriod = 2;
extern int    RsiPrice  = PRICE_CLOSE;
extern int    AccPeriod = 3;
extern double Level     = 35;


//
//
//
//
//

double rsi5[];
double rsi15[];
double rsi30[];
double rsi60[];
double rsi240[];
double rsi1440[];
double Level2;
double Up[];
double Down[];


//------------------------------------------------------------------
//                                                                  
//------------------------------------------------------------------
//
//
//
//
//

int init()
{
   IndicatorBuffers(8);   
      SetIndexBuffer(0,rsi5);
      SetIndexBuffer(1,rsi15);
      SetIndexBuffer(2,rsi30);
      SetIndexBuffer(3,rsi60);
      SetIndexBuffer(4,rsi240);
      SetIndexBuffer(5,rsi1440);
      SetIndexBuffer(6,Up);
      SetIndexBuffer(7,Down);
      SetIndexLabel(0,NULL);
      SetIndexLabel(1,NULL);
      SetIndexLabel(2,NULL);
      SetIndexLabel(3,NULL);
      SetIndexLabel(4,NULL);
      SetIndexLabel(5,NULL);
      SetIndexLabel(6,NULL);
      SetIndexLabel(7,NULL);
      SetIndexStyle(0, NULL);
      SetIndexStyle(1, NULL);
      SetIndexStyle(2, NULL);
      SetIndexStyle(3, NULL);
      SetIndexStyle(4, NULL);
      SetIndexStyle(5, NULL);
      SetIndexStyle(6,DRAW_HISTOGRAM);
      SetIndexStyle(7,DRAW_HISTOGRAM);
         Level2 = AccPeriod*100-Level;
            SetLevelValue(0,Level);
            SetLevelValue(1,Level2);
   IndicatorShortName("");

   return(0);
}



//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
           int limit=MathMin(Bars-counted_bars,Bars-1);
           

   //
   //
   //
   //
   //
   
  
   for(int i=limit; i>=0; i--)
   {        
      rsi5[i] = iCustom(NULL,0,"Rsi Accumulated 2",2,RsiPrice,3,45,5,0,i);
      rsi15[i] = iCustom(NULL,0,"Rsi Accumulated 2",2,RsiPrice,3,45,15,0,i);
      rsi30[i] = iCustom(NULL,0,"Rsi Accumulated 2",2,RsiPrice,3,45,30,0,i);
      rsi60[i] = iCustom(NULL,0,"Rsi Accumulated 2",2,RsiPrice,3,45,60,0,i);
      rsi240[i] = iCustom(NULL,0,"Rsi Accumulated 2",2,RsiPrice,3,45,240,0,i);
      rsi1440[i] = iCustom(NULL,0,"Rsi Accumulated 2",2,RsiPrice,3,45,1440,0,i);   
         if (rsi15[i]<(Level-5) && rsi30[i]<Level && rsi60[i]<Level && rsi240[i]<Level && rsi1440[i]<Level)      Up[i] = 300;
         if (rsi15[i]>(Level2+5) && rsi30[i]>Level2 && rsi60[i]>Level2 && rsi240[i]>Level2 && rsi1440[i]>Level2)    Down[i] = 300;
         
   }
   return(0);
}

//-------------------------------------------------------------------
//
//-------------------------------------------------------------------
//
//
//
//
//


